%{?mingw_package_header}

Name:       mingw-gmp
Version:    6.1.2
Release:    %mkrel 5

Summary:    Cross-compiled GNU arbitrary precision library
License:    LGPLv3+ or GPLv2+
Group:      Development/Other
URL:        https://gmplib.org/
Source0:    https://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.xz
Source1:    https://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.xz.sig

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++

BuildRequires:  libtool


%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


# Mingw32
%package -n mingw32-gmp
Summary: Cross-compiled GNU arbitrary precision library


%description -n mingw32-gmp
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


# Mingw64
%package -n mingw64-gmp
Summary: Cross-compiled GNU arbitrary precision library


%description -n mingw64-gmp
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands. GNU MP is fast because it uses fullwords as the basic
arithmetic type, it uses fast algorithms, it carefully optimizes
assembly code for many CPUs' most common inner loops, and it generally
emphasizes speed over simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.


%?mingw_debug_package


%prep
%setup -q -n gmp-%{version}


%build
%mingw_configure \
    --enable-shared \
    --disable-static \
    --enable-mpbsd \
    --enable-cxx
export LD_LIBRARY_PATH=`pwd`/.libs
%mingw_make %{?_smp_mflags}


%install
export LD_LIBRARY_PATH=`pwd`/.libs
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/lib{gmp,mp,gmpxx}.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/lib{gmp,mp,gmpxx}.la

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT/%{mingw32_prefix}/share
rm -r $RPM_BUILD_ROOT/%{mingw64_prefix}/share


# Win32
%files -n mingw32-gmp
%license COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3
%doc NEWS README
%{mingw32_bindir}/libgmp-10.dll
%{mingw32_bindir}/libgmpxx-4.dll
%{mingw32_libdir}/libgmp.dll.a
%{mingw32_libdir}/libgmpxx.dll.a
%{mingw32_includedir}/gmp.h
%{mingw32_includedir}/gmpxx.h


# Win64
%files -n mingw64-gmp
%license COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3
%doc NEWS README
%{mingw64_bindir}/libgmp-10.dll
%{mingw64_bindir}/libgmpxx-4.dll
%{mingw64_libdir}/libgmp.dll.a
%{mingw64_libdir}/libgmpxx.dll.a
%{mingw64_includedir}/gmp.h
%{mingw64_includedir}/gmpxx.h




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 6.1.2-5.mga9
+ Revision: 1813277
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 6.1.2-4.mga8
+ Revision: 1630239
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 6.1.2-3.mga8
+ Revision: 1502091
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.1.2-2.mga7
+ Revision: 1279724
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 6.1.2-1.mga7
+ Revision: 1248025
- new version: 6.1.2

* Wed May 11 2016 tv <tv> 6.0.0-1.mga6
+ Revision: 1012691
- new release

* Fri Feb 05 2016 umeabot <umeabot> 5.1.1-7.mga6
+ Revision: 936692
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.1.1-6.mga5
+ Revision: 748527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.1-5.mga5
+ Revision: 682442
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.1.1-4.mga4
+ Revision: 536226
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 5.1.1-3.mga4
+ Revision: 483819
- imported package mingw-gmp


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.1.1-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Thu May 09 2013 Michael Cronenworth <mike@cchtml.com> - 5.1.1-1
- New upstream release.

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.5-2
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Mon Sep 03 2012 Michael Cronenworth <mike@cchtml.com> - 5.0.5-1
- New upstream release.

* Wed Aug 29 2012 Michael Cronenworth <mike@cchtml.com> - 5.0.2-4
- Don't ship include wrappers

* Wed Aug 29 2012 Michael Cronenworth <mike@cchtml.com> - 5.0.2-3
- Don't autoreconf

* Sun Aug 26 2012 Michael Cronenworth <mike@cchtml.com> - 5.0.2-2
- Add BR for mingw-gcc-c++
- Install gmp source headers

* Mon Jun 18 2012 Michael Cronenworth <mike@cchtml.com> - 5.0.2-1
- Initial RPM package
